"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
require("core-js/modules/es.symbol.description.js");
var _react = _interopRequireDefault(require("react"));
var _reactNativeWeb = require("react-native-web");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const HttpErrorPage = _ref => {
  let {
    code,
    title,
    description
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement("h1", {
    style: styles.title
  }, "[ ", code, " ] ", title), /*#__PURE__*/_react.default.createElement("h2", {
    style: styles.description
  }, description));
};
const styles = _reactNativeWeb.StyleSheet.create({
  container: {
    textAlign: "center",
    margin: "auto"
  },
  title: {
    fontWeight: 600,
    color: "#424040c4"
  },
  description: {
    color: "#424040c4"
  }
});
var _default = HttpErrorPage;
exports.default = _default;