"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _svgs = require("../svgs");
var _utils = require("../utils");
require("./CoalitionHeroBanner.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionHeroBanner = _ref => {
  let {
    name = "Name",
    balance = 0
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-hero-banner"
  }, /*#__PURE__*/_react.default.createElement("h2", {
    className: "coalition-hero-banner-title"
  }, "Hola ", name), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-hero-color"
  }, /*#__PURE__*/_react.default.createElement(Banner, null), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-hero-color-balance"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-hero-color-balance-label"
  }, "Tus puntos disponibles:"), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-hero-color-balance-value"
  }, (0, _utils.drawBalance)(balance)))));
};
const Banner = function Banner() {
  let item = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
  item = /*#__PURE__*/_react.default.createElement(_svgs.MonitaDesktop, null);
  if ((0, _utils.isPortable)()) {
    item = /*#__PURE__*/_react.default.createElement(_svgs.MonitaMobile, null);
  }
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-hero-banner-img"
  }, item);
};
var _default = CoalitionHeroBanner;
exports.default = _default;